%% plot heff sweeps (mini) whip antennes

fileA='heff_sweep_whip_at2m'; legA=cat(2,'whip @2m',repmat(' ',1,19));
fileB='heff_sweep_whip_at2m_2pF'; legB=cat(2,'whip @2m with 2pF',repmat(' ',1,10));
fileC='heff_sweep_mini_whip_30mm_at2m'; legC=cat(2,'30mm mini whip @2m',repmat(' ',1,9));
fileD='heff_sweep_mini_whip_30mm_at2m_2pF'; legD=cat(2,'30mm mini whip @2m with 2pF',repmat(' ',1,0));
fileE='heff_sweep_mini_whip_at2m_16radials'; legE=cat(2,'16 radialen whip @2m',repmat(' ',1,7));
fileF='heff_sweep_whip_at2m_virtualGND'; legF=cat(2,'whip @2m met virt. gnd amp',repmat(' ',1,1));
legs=[legA;legB;legC;legD;legE;legF];


heff_tot=[];
select=[1 3];
% select=[3 4];
% select=[3 5];
% select=[1 6];
for f=select
    if (f==1) file=fileA;
    elseif (f==2) file=fileB;
    elseif (f==3) file=fileC;
    elseif (f==4) file=fileD;
    elseif (f==5) file=fileE;
    elseif (f==6) file=fileF;
    end
% load data
fid = fopen(file);
allinfo = textscan(fid,'%s','delimiter','\n');
allinfo=char(allinfo{1});
fclose(fid);

len=size(allinfo,1);
pos=25:29;
numFreq=size(10:13:len,2);
heff=zeros(numFreq,1);
freqs=3:0.5:100;
count=1;
for k=10:13:len
    sline=allinfo(k,:);
    sline(:,logical(sline==9))=' '; % replace tab by space
    Aspace=find(sline==' ');
    temp=(sline(1,(1+Aspace(1,11)):(-1+Aspace(1,12))));
    heff(count,1)=str2double(temp);
    count=count+1;
end

% virtual ground measures antenna current (as voltage over 1 Ohm)
% using Cfeedback in the transimpedance amplifier
Cfeedback=10e-12;
if (f==6) heff=heff.*(1./(2*pi*freqs'*1e6*Cfeedback));
end

heff_tot=cat(2,heff_tot,heff);

end

figure(1)
p=plot(freqs,heff_tot);
p(1).Color = 'k';
p(2).Color = 'r';
grid on;
p(1).LineWidth=3;
p(2).LineWidth=3;
xlabel('frequency (MHz)');
ylabel('Vo (V)');
ldg=legend(legs(select,:));
ldg.FontSize=16;
set(gca,'FontSize',15);



